function onBegin()
	-- 禁用移动和重试
	disableRetry()
	disableMovement()
	-- 打开镜头跟随
	player.ForceCameraUpdate = true
	-- 获取基本参数
	local level = getRoom()
	
	-- 开始剧情
	walk(5)
	wait(0.5)
	say("iceCream_2023SF_end_welcome")
	walkTo(12658)
	say("iceCream_2023SF_end_madeline_1")
	
	-- Badeline talk
	local badelineTarget = Microsoft.Xna.Framework.Vector2(12746, -61)
	local badeline = Celeste.BadelineDummy(badelineTarget)
	level:Add(badeline)
	level.Displacement:AddBurst(badeline.Center, 0.5, 8, 32, 0.5)
	Celeste.Audio.Play("event:/char/badeline/maddy_split", badeline.Position)


	wait(0.1)
	say("iceCream_2023SF_end_badeline")
	walkTo(12694)
	say("iceCream_2023SF_end_main")
	
end


function onEnd(level, wasSkipped)
	getRoom():CompleteArea()
end

